>>>>>> "t" == tad bochan <tad.bochan / bnpparibas.com> writes:
>
>t> I didn't do the installation myself, but I suspect that the HP-UX
>t> bundled C compiler was used to do the installation.
>t> Could that be the problem ?
>
> Well I don't have access to HP/UX but yes, the bundled C compiler can be
> the problem.
>
> If you can try to compile and install ruby with gcc

Or, maybe using ftp://ftp.ruby-lang.org/pub/ruby/ruby-1.8.3.tar.gz ?

The parse.c included in that package is still

  /* A Bison parser, made by GNU Bison 2.0.  */

so it'll cause SIGSEGV (maybe SIGBUS).

# I believe current ruby_1_8 branch won't SEGV even if built with bison2.x.